<?php
    require_once '../../../datab.php';

    $res = [];

    $patient_id = mysqli_real_escape_string($conn, $_POST['patient_id']);
    $patient_record_id = mysqli_real_escape_string($conn, $_POST['patient_record_id']);
    $total = mysqli_real_escape_string($conn, $_POST['total']);
    $less = isset($_POST['less']) ? mysqli_real_escape_string($conn, $_POST['less']) : null;
    $desc = isset($_POST['desc']) ? mysqli_real_escape_string($conn, $_POST['desc']) : null;
    $admit_date = mysqli_real_escape_string($conn, $_POST['admit_date']);
    $discharge_date = mysqli_real_escape_string($conn, $_POST['discharge_date']);
    $nod = mysqli_real_escape_string($conn, $_POST['nod']);
    $time = mysqli_real_escape_string($conn, $_POST['time']);
    $services = json_decode($_POST['services'], true);
    $sub_total = mysqli_real_escape_string($conn, $_POST['subTotal']);
    $bed_id = mysqli_real_escape_string($conn, $_POST['bed_id']);
    $created_by = mysqli_real_escape_string($conn,$_POST['created_by']);
    $user_type = mysqli_real_escape_string($conn, $_POST['user_type']);
    $division_ids = json_decode($_POST['division_id'], true);

    $mop = mysqli_real_escape_string($conn, $_POST['mop']);
    $t_m_id = mysqli_real_escape_string($conn, $_POST['t_m_id']);
    $t_rem = mysqli_real_escape_string($conn, $_POST['t_rem']);

    $sql2 = "UPDATE ip_ob_entry_data SET `status`='Discharged', `billed_date`='$dateTime', `billed_by`='$created_by', `billed_user`='$user_type' WHERE `id`='$patient_record_id' ";

    // $select_bed_id = mysqli_query($conn, "SELECT `bed_id` FROM ip_ob_entry_data WHERE id='$patient_record_id' LIMIT 1 ");
    // $bed_id_row = mysqli_fetch_assoc($select_bed_id);
    // $bed_id = $bed_id_row['bed_id'];

    $sql = "INSERT INTO ip_billing (patient_id, patient_record_id, sub_total, total, less, `remarks`, admit_date, discharge_date, nod, time, status, dateTime, `created_by`, `user_type`) 
            VALUES ('$patient_id', '$patient_record_id', '$sub_total', '$total', '$less', '$desc', '$admit_date', '$discharge_date', '$nod', '$time', 'Active', '$dateTime', '$created_by', '$user_type')";

    $sql4 = mysqli_query($conn, "UPDATE beds SET `bed_status`='unoccupied' WHERE `id`='$bed_id' ");

    $local__transaction_history = mysqli_query($conn, "INSERT INTO ip_transaction_history (`patient_id`, `record_id`, `amount`, `status`, `dateTime`, `created_by`, `user_type`, `mop`, `trans_id`, `remarks`) 
                                                        VALUES ('$patient_id', '$patient_record_id', '$total', 'Active', '$dateTime', '$created_by', '$user_type', '$mop', '$t_m_id', '$t_rem')");
    
    $local__transaction_history_id = mysqli_insert_id($conn);

    $transaction_history = mysqli_query($conn, "INSERT INTO transaction_history(`patient_id`, `record_id`, `amount`, `type`,`status`, `dateTime`, `transaction_history_id`, `created_by`, `user_type`, `mop`, `trans_id`, `remarks`) 
                                                VALUES ('$patient_id', '$patient_record_id', '$total', 'ip', 'Active', '$dateTime', '$local__transaction_history_id', '$created_by', '$user_type', '$mop', '$t_m_id', '$t_rem')");

    if(!empty($division_ids)){
        foreach ($division_ids as $division) {
            $division_id = mysqli_real_escape_string($conn, $division['division_id']);
            $amount = mysqli_real_escape_string($conn, $division['amount']);
            $d_qty = mysqli_real_escape_string($conn, $division['d_qty']);

            $insert_selected_divisions = mysqli_query($conn, "INSERT INTO `ip_scan_paid` (`patient_record_id`, `patient_id`, `qty`,`division_id`, `amount`,`status`, `dateTime`, `created_by`, `user_type`) 
                                                                VALUES ('$patient_record_id', '$patient_id', '$d_qty', '$division_id','$amount','Active', '$dateTime', '$created_by', '$user_type') ");
        }
    }

    $get_bill_no = mysqli_query($conn, "SELECT `no` FROM temp_bill_no");
    $no_row = mysqli_fetch_assoc($get_bill_no);
    $bill_no = floatval($no_row['no']);

    if (mysqli_query($conn, $sql) && mysqli_query($conn, $sql2) && $sql4 && $local__transaction_history && $transaction_history) {

        foreach ($services as $service) {
            $service_name = mysqli_real_escape_string($conn, $service['service_name']);
            $service_amount = mysqli_real_escape_string($conn, $service['service_amount']);
            $s_qty = mysqli_real_escape_string($conn, $service['qty']);

            $sql3 = mysqli_query($conn, "INSERT INTO ip_bill_services (`patient_record_id`, `service_name`, `qty`,`service_amount`, `status`, `dateTime`, `created_by`, `user_type`) 
                                                        VALUES ('$patient_record_id', '$service_name', '$s_qty', '$service_amount', 'Active', '$dateTime', '$created_by', '$user_type')");

            if($sql3){
                $res['bill_no'] = $bill_no;
                $res['status'] = 'Success';
                $res['message'] = 'Data inserted successfully';
                
                $bill_no++;
                $update_bill_no = mysqli_query($conn, "UPDATE temp_bill_no SET `no`='$bill_no' WHERE `id`='1' ");
            } else {
                $res['status'] = 'Error';
                $res['remarks'] = 'Error in backend';
            }
        }
    } else {
        $res['status'] = 'Error';
        $res['message'] = 'Error inserting data: ' . mysqli_error($conn);
    }

    echo json_encode($res);
?>
