<?php 
require_once '../../../datab.php';
$res = [];

if (isset($_POST['batch_id'])) {
    $batch_id = mysqli_real_escape_string($conn, $_POST['batch_id']);
    // $type = 'ip' ? 'ob': ;

    // Prepare and execute the SQL query to fetch patient data if needed
    // Assuming there is a need to fetch patient data here
    // $patientData = mysqli_fetch_assoc($getPatientIdResult);
    // $res['data'] = $patientData;

    $checkPaid = mysqli_query($conn, "SELECT * FROM ip_medications_batch WHERE id = '$batch_id' ");
    $checkResult = mysqli_fetch_assoc($checkPaid);
    $paymentStatus = $checkResult['paymentStatus'];
    // SQL query to fetch medicines data

    if($paymentStatus == 'paid'){
        $sql = "SELECT *, DATE_FORMAT(om.createdOn, '%Y-%b-%d %h:%i %p') AS op_date, om.id AS pres_id
                FROM ip_medications_sold_items om
                JOIN tablet_dosage_price tdp ON om.dosage_id = tdp.id
                WHERE om.status = 'Active'
                AND om.ip_medications_batch_id = '$batch_id' ";

    } else {
        $sql = "SELECT *, DATE_FORMAT(om.dateTime, '%Y-%b-%d %h:%i %p') AS op_date, om.id AS pres_id
        FROM ip_medications_items om
        JOIN tablet_dosage_price tdp ON om.dosage_id = tdp.id
        WHERE om.status = 'Active'
        AND om.ip_medications_batch_id = '$batch_id' ";
    }
    

    $medicinesResult = mysqli_query($conn, $sql);

    if ($medicinesResult) {
        $medicines = [];
        $totalPrice = 0;

        while ($medicine = mysqli_fetch_assoc($medicinesResult)) {
            $medicines[] = $medicine;
            $totalPrice += intval($medicine['price']);
        }

        // Add medicines and total price to the response
        $res['data'] = $medicines;
        $res['status'] = 'Success';
        $res['remarks'] = 'Data sent';
    } else {
        $res['status'] = 'Error';
        $res['remarks'] = 'Error fetching medicines data';
    }
} else {
    $res['status'] = 'Error';
    $res['remarks'] = 'Batch ID not provided';
}

echo json_encode($res);
?>
